#
# Makefile for nin_cs SCSI adapter driver
#

VERSION=1.0.1#

FILES = nin_cs.mk doc/nin_cs/README.nin_cs doc/nin_cs/README.nin_cs.eng \
	doc/nin_cs/Q_and_A.nin_cs doc/nin_cs/Q_and_A.nin_cs.eng \
	doc/nin_cs/org-doc/sc3-unix.html \
	etc/nin_cs.conf etc/nin_cs.conf.opts \
	man/nin_cs.4 man/nin_cs.4j \
	clients/nin_cs.c clients/nin_cs.h clients/nin_debug.c

JMAN4DIR=/usr/man/ja/man4#

all:
	$(MAKE) -C clients MODULES=nin_cs.o

install:
	$(MAKE) -C clients install-modules MODULES=nin_cs.o
	$(MAKE) -C etc install-clients CLIENTS=nin_cs.conf
	$(MAKE) -C man install-man4 MAN4=nin_cs.4
#	mkdir -p $(JMAN4DIR)
#	cp ./man/nin_cs.4j $(JMAN4DIR)/nin_cs.4

dist:
	tar cvf NinjaSCSI3-$(VERSION).tar $(FILES)
	gzip -v9N NinjaSCSI3-$(VERSION).tar

# gcc -MD -O3 -Wall -Wstrict-prototypes -Winline -pipe  -D__KERNEL__ -DMODULE -I../include -I/usr/src/linux/include -I/usr/src/linux -c nin_cs.c
